Skip to main content
`Ctrl`+`K`

# PetscFVGetNumComponents

Get the number of field components in a `PetscFV`

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVGetNumComponents(PetscFV fvm, PetscInt *comp)

Not Collective

## Input Parameter

- fvm - the `PetscFV` object

## Output Parameter

- comp - The number of components

## See Also

`PetscFV`, `PetscFVSetNumComponents()`, `PetscFVSetComponentName()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages